Subject: Re: [PATCH 1/5] status: document the -v/--verbose option

From: Junio C Hamano <[email-masked]>
Date: Thu, 23 Apr 2015 18:44:58 -0700

Pete Harlan <[email-masked]> writes:

> Junio writes:
>> Michael Haggerty <[email-masked]> writes:
>>
>> > Document `git status -v`, including its new doubled `-vv` form.
>> >
>> > Signed-off-by: Michael Haggerty <[email-masked]>
>> >---
>>
>> Will queue on mg/status-v-v series, which did add description for
>> "commit -v", but "status -v" did not have the description to begin
>> with and we missed it.
> [...]
>> > +-v::
>> > +--verbose::
>> > + In addition to the names of files that have been changed, also
>> > + show the textual changes that are staged to be committed
>> > + (i.e., like the output of `git diff`). If `-v` is specified
>
> Should this be `git diff --cached`?
>
>> > + twice, then also show the changes in the working tree that
>> > + have not yet been staged (i.e., like the output of `git diff
>> > + --cached`).
>
> ...and should this just be `git diff`?
>
> --Pete
>
> (Sorry for not replying to the email; bit of a mess here in my setup.)

Duh!

I see "git commit" documentation does not have these extra "like the
output of..." bits.  Perhaps we can do without it for the sake of
both brevity and risk avoidance?

Will push out with --cached bit swapped for tonight on 'pu'.